Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455676 - Missing package dialog box stays on screen in VNC
Summary: Missing package dialog box stays on screen in VNC
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 22:16 UTC by Orion Poplawski
Modified: 2009-04-14 21:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-14 21:02:05 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2008-07-16 22:16:23 UTC
Description of problem:

Using VNC to connect to install.  My kickstart file specifies several missing
packages.  Up pops a missing package dialog.  I select "continue", that box
highlights but the dialog stays on the screen making it seem like it didn't take.

Comment 1 Chris Lumens 2008-07-18 20:30:33 UTC
Can you switch to tty1 and see if there's a traceback being displayed?  This has
all the makings of the invisible tracebacks we sometimes get with UI elements.

Comment 2 Orion Poplawski 2008-07-18 21:51:58 UTC
Don't see any tracebacks.

tty1:

Xlib: extension "RANDR" missing on display ":1.0"
15:42:28 Starting graphical installation...

tty3:

15:42:06 INFO : moving (1) to step basepkgsel



Comment 3 Chris Lumens 2008-10-09 17:52:11 UTC
Still seeing this in F10 beta?

Comment 4 Orion Poplawski 2008-10-09 17:58:44 UTC
Yup.

Comment 5 Chris Lumens 2008-10-23 15:18:50 UTC
Yeah I see it happening too, but it really only stays up on the screen for an extra second or two until the next dialog appears.  Are you seeing it stay up for a really long time?  If not, I'm leaning towards closing this report.

Comment 6 Orion Poplawski 2008-10-23 15:23:18 UTC
It depends on how much more depsolving is left to do.  If there is a lot, it can stay up for a long time.  It stays up until the next dialog comes up.  It's definitely not a show stopper, but it is enough to make me think "Is this still working?" for a bit.

Comment 7 Chris Lumens 2008-10-23 15:55:00 UTC
Oh I see what's going on there.  We're deleting the dialogs but our lack of a main loop means the deletions don't really take effect on the display until we get around to processing events.  This should be fixed up in the next build of anaconda by doing more event processing calls.

Comment 8 Chris Lumens 2008-11-03 21:23:31 UTC
Had to revert the fix here since it causes the Next buttons to look unresponsive and that's a much bigger UI problem.

Comment 9 Bug Zapper 2008-11-26 02:34:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Orion Poplawski 2009-04-14 21:02:05 UTC
This appears to be fixed now.


Note You need to log in before you can comment on or make changes to this bug.